Google Web Toolkit
Search Google Code:

# Class FocusListenerAdapter

public class FocusListenerAdapter
extends Object
implements FocusListener
An adapter to simplify focus event listeners that do not need all events defined on the FocusListener interface.

## Methods

onFocus(Widget) | Fired when a widget receives keyboard focus.
onLostFocus(Widget) | Fired when a widget loses keyboard focus.

## Method Detail

### onFocus

public void onFocus(Widget sender)
Fired when a widget receives keyboard focus.

#### Parameters

sender
  the widget receiving focus.

### onLostFocus

public void onLostFocus(Widget sender)
Fired when a widget loses keyboard focus.

#### Parameters

sender
  the widget losing focus.